<?php
/**
 * The Template for displaying all single posts.
 */

get_header(); ?>

<div id="container">
	<div id="content" role="main">
<?php if ( have_posts() ) while ( have_posts() ) : the_post(); ?>
		
		<p id="nav-above" class="navigation">
			<span class="nav-previous"><?php previous_post_link( '%link', '%title' ); ?></span>
			<span class="nav-next"><?php next_post_link( '%link', '%title' ); ?></span>
		</p><!-- #nav-above -->
			
				
		<h1 class="entry-title"><?php the_title(); ?></h1>
		<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
			<p id="date-box">
               <span class="day"><?php the_time('d') ?></span>
               <span class="month"><?php the_time('M') ?></span>
               <span class="year"><?php the_time('Y') ?></span>
            </p>
            <p id="comment-box"><?php comments_popup_link( '0', '1', '%', '', '0' ); ?></p>
			<div class="entry-content">
				<?php the_content(); ?>
				<?php wp_link_pages( array( 'before' => '<div class="page-link">' . 'Pages:', 'after' => '</div>' ) ); ?>
			</div><!-- .entry-content -->
		</div><!-- #post-## -->
			<div class="entry-utility">
				<span class="author"><?php the_author_link(); ?></span>
					<?php the_tags( '<span class="post-tag">', ', ', '</span>'); ?>
                    <span class="comments-link"><?php comments_popup_link( '0', '1', '%', '', '0' ); ?></span>
				<?php if ( count( get_the_category() ) ) : ?>					
					<span class="cat-links">
						<?php the_category(', ') ?>
					</span>					
				<?php endif; ?>
				<?php
					$tags_list = get_the_tag_list( '', ', ' );
					if ( $tags_list ):
				?>
					<span class="tag-links">
					</span>
				<?php endif; ?>
			</div><!-- .entry-utility -->
			
			<?php comments_template( '', true ); ?>
			
		<p id="nav-below" class="navigation">
			<span class="nav-previous"><?php previous_post_link( '%link', '%title' ); ?></span>
			<span class="nav-next"><?php next_post_link( '%link', '%title' ); ?></span>
		</p><!-- #nav-below -->
<?php endwhile; // end of the loop. ?>

			</div><!-- #content -->
		</div><!-- #container -->

<?php get_sidebar(); ?>
<?php get_footer(); ?>